Return proper exit code on dancer tool failure

This commit is contained in:
Petr Písař 2013-05-07 15:56:33 +02:00
parent c8195eac23
commit 3638de974d
2 changed files with 32 additions and 1 deletions

View File

@ -0,0 +1,25 @@
From 2cd69b0b5b1e31fcaa0306844c61bffb24a7253a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Petr=20P=C3=ADsa=C5=99?= <ppisar@redhat.com>
Date: Tue, 7 May 2013 15:44:52 +0200
Subject: [PATCH] Return non-zero exit code on bad application name
---
script/dancer | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/script/dancer b/script/dancer
index eb63000..1561315 100755
--- a/script/dancer
+++ b/script/dancer
@@ -80,7 +80,7 @@ sub validate_app_name {
print STDERR "Error: Invalid application name.\n";
print STDERR "Application names must not contain single colons,"
." dots, hyphens or start with a number.\n";
- exit;
+ exit 1;
}
}
--
1.8.1.4

View File

@ -1,11 +1,13 @@
Name: perl-Dancer
Version: 1.3112
Release: 1%{?dist}
Release: 2%{?dist}
Summary: Lightweight yet powerful web application framework
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/Dancer/
Source0: http://www.cpan.org/authors/id/Y/YA/YANICK/Dancer-%{version}.tar.gz
# Bug #960184, GitHub #PerlDancer/Dancer/919
Patch0: Dancer-1.3112-Return-non-zero-exit-code-on-bad-application-name.patch
BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(base)
@ -92,6 +94,7 @@ your code.
%prep
%setup -q -n Dancer-%{version}
%patch0 -p1
%build
perl Makefile.PL INSTALLDIRS=vendor
@ -113,6 +116,9 @@ make test
%{_mandir}/man3/*
%changelog
* Tue May 07 2013 Petr Pisar <ppisar@redhat.com> - 1.3112-2
- Return proper exit code on dancer tool failure (bug #960184)
* Thu Apr 11 2013 Jitka Plesnikova <jplesnik@redhat.com> - 1.3112-1
- 1.3112 bump